%define major	23700
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

%global _vpath_srcdir	sdk/%{name}/projects/meson/

Name:		angelscript
Version:	2.37.0
Release:	%mkrel 1
Summary:	Scripting library
License:	zlib
Group:		System/Libraries
URL:		https://www.angelcode.com/angelscript/
Source0:	https://www.angelcode.com/angelscript/sdk/files/%{name}_%{version}.zip
BuildRequires:	gcc-c++
BuildRequires:	meson

%description
The AngelCode Scripting Library, or AngelScript as it is also known,
is a scripting library designed to allow applications to extend their
functionality through external scripts.

It supports Unix sockets and TCP/IP sockets with optional
SSL/TLS support.

%package -n	%{libname}
Summary:	Scripting library
Group:		System/Libraries

%description -n %{libname}
The AngelCode Scripting Library, or AngelScript as it is also known,
is a scripting library designed to allow applications to extend their
functionality through external scripts.

It supports Unix sockets and TCP/IP sockets with optional
SSL/TLS support.

%package -n	%{devname}
Summary:	Development files for AngelScript
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The AngelCode Scripting Library, or AngelScript as it is also known,
is a scripting library designed to allow applications to extend their
functionality through external scripts.

This subpackage contains libraries and header files for developing
applications that want to make use of the AngelScript library.

%prep
%setup -qc

%build
%meson
%meson_build

%install
%meson_install

%files
%doc sdk/docs/*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/lib%{name}.so


%changelog
* Thu Jul 10 2025 daviddavid <daviddavid> 2.37.0-1.mga10
+ Revision: 2252613
- new version: 2.37.0
- now libmajor is 23700

* Sun Jun 29 2025 umeabot <umeabot> 2.36.1-2.mga10
+ Revision: 2222641
- Mageia 10 Mass Rebuild

* Tue May 14 2024 daviddavid <daviddavid> 2.36.1-1.mga10
+ Revision: 2064180
- new version: 2.36.1
- now libmajor is 23601

* Thu Jul 14 2022 papoteur <papoteur> 2.35.1-1.mga9
+ Revision: 1868883
- new 2.35.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ daviddavid <daviddavid>
- new version: 2.35.0
- now libmajor is 23500

* Fri Aug 28 2020 daviddavid <daviddavid> 2.34.0-1.mga8
+ Revision: 1619363
- initial package angelscript (needed for supertuxkart)

